import { BaseResource } from ".";
import { UnitConfig, UnitResponse } from "../types";
import { AchReceivedPayment, Application, ApplicationDocument } from "../types";
import { ApproveApplicationSimulation, DenyApplicationSimulation, RejectDocumentSimulation, CreateAchReceivedPaymentSimulation } from "../types";
export declare class Simulations extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    approveApplication(applicationId: string, request: ApproveApplicationSimulation): Promise<UnitResponse<Application>>;
    denyApplication(applicationId: string, request: DenyApplicationSimulation): Promise<UnitResponse<Application>>;
    approveDocument(applicationId: string, documentId: string): Promise<UnitResponse<ApplicationDocument>>;
    rejectDocument(applicationId: string, documentId: string, request: RejectDocumentSimulation): Promise<UnitResponse<ApplicationDocument>>;
    createAchReceivedPayment(request: CreateAchReceivedPaymentSimulation): Promise<UnitResponse<AchReceivedPayment>>;
    completeAchReceivedPayment(id: string): Promise<UnitResponse<AchReceivedPayment>>;
}
