"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unit_1 = require("../unit");
const dotenv_1 = __importDefault(require("dotenv"));
dotenv_1.default.config();
const unit = new unit_1.Unit(process.env.UNIT_TOKEN || "test", process.env.UNIT_API_URL || "test");
describe("Create API Tokens", () => {
    test("Create API Tokens", async () => {
        const req = {
            "type": "apiToken",
            "attributes": {
                "description": "test token",
                "scope": "customers applications",
                "expiration": "2023-09-01T13:47:17.000Z"
            }
        };
        const res = await unit.orgTokens.create("252", req);
        expect(res.data.type).toBe("apiToken");
    });
});
describe("API Tokens List", () => {
    test("Get API Tokens List", async () => {
        const res = await unit.orgTokens.list("252");
        res.data.forEach(element => {
            expect(element.type).toBe("apiToken");
        });
    });
});
