"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unit_1 = require("../unit");
const testHelpers_1 = require("./testHelpers");
const dotenv_1 = __importDefault(require("dotenv"));
dotenv_1.default.config();
const unit = new unit_1.Unit(process.env.UNIT_TOKEN || "test", process.env.UNIT_API_URL || "test");
describe("Test Reward Resource", () => {
    test("create new reward", async () => {
        const createAccountRes = await (0, testHelpers_1.createIndividualAccount)(unit);
        const req = {
            type: "reward",
            attributes: {
                amount: 3000,
                description: "Reward for transaction #5678"
            },
            relationships: {
                receivingAccount: {
                    data: {
                        "type": "depositAccount",
                        "id": createAccountRes.data.id
                    }
                }
            }
        };
        const res = await unit.rewards.create(req);
        expect(res.data.type).toBe("reward");
    });
    test("list and get rewards", async () => {
        const res = await unit.rewards.list();
        res.data.forEach(element => {
            expect(element.type).toBe("reward");
        });
        res.data.forEach(async (element) => {
            const rewardRes = await unit.rewards.get(element.id);
            expect(rewardRes.data.type).toBe("reward");
        });
    });
});
