import { Applications } from "./resources/application";
import { Cards } from "./resources/cards";
import { Customers } from "./resources/customer";
import { Transactions } from "./resources/transactions";
import { Accounts } from "./resources/account";
import { CustomerTokens } from "./resources/customerToken";
import { Webhooks } from "./resources/webhooks";
import { UnitConfig, UnitError } from "./types/common";
import { BatchAccounts } from "./resources/batchAccounts";
import { Fees } from "./resources/fee";
import * as helpers from "./helpers";
import { Counterparties } from "./resources/counterparty";
import { Events } from "./resources/events";
import { Payments } from "./resources/payments";
import { Authorizations } from "./resources/authorization";
import { AuthorizationRequests } from "./resources/authorizationRequest";
import { Statments } from "./resources/statements";
import { Returns } from "./resources/returns";
import { ApplicationForms } from "./resources/applicationForm";
import { AccountsEndOfDay } from "./resources/accountEndOfDay";
import { BillPays, Rewards } from "./resources";
import { Institutions } from "./resources/institutions";
import { AtmLocations } from "./resources/atmLocations";
import { CheckDeposits } from "./resources/checkDeposit";
import { ReceivedPayments } from "./resources/receivedPayments";
import { RecurringPayments } from "./resources/recurringPayments";
import { OrgTokens } from "./resources/orgToken";
import { Simulations } from "./resources/simulations";
import { Disputes } from "./resources/dispute";
export declare class Unit {
    applications: Applications;
    customers: Customers;
    accounts: Accounts;
    accountsEndOfDay: AccountsEndOfDay;
    transactions: Transactions;
    cards: Cards;
    webhooks: Webhooks;
    customerToken: CustomerTokens;
    batchAccount: BatchAccounts;
    fees: Fees;
    counterparties: Counterparties;
    payments: Payments;
    receivedPayments: ReceivedPayments;
    authorizations: Authorizations;
    authorizationRequests: AuthorizationRequests;
    helpers: typeof helpers;
    statements: Statments;
    events: Events;
    applicationForms: ApplicationForms;
    returns: Returns;
    billPays: BillPays;
    institutions: Institutions;
    atmLocations: AtmLocations;
    checkDeposits: CheckDeposits;
    rewards: Rewards;
    recurringPayments: RecurringPayments;
    orgTokens: OrgTokens;
    simulations: Simulations;
    disputes: Disputes;
    constructor(token: string, basePath: string, config?: UnitConfig);
    isError<T>(response: T | UnitError): response is UnitError;
}
export * from "./types";
export * from "./resources";
